function EDP=setEDP()
  EDP.a=-1/7;  EDP.b=8/7;
  EDP.t0=0;  EDP.T=1;
  EDP.nu=1/3;
  EDP.c=@(x) x.^2 + 1./7;
  k=3;
  EDP.uex=@(t,x) cos(2./7.*pi + pi.*x).*cos(k.*t);
  EDP.f=@(t,x) -k.*cos(2./7.*pi + pi.*x).*sin(k.*t)-EDP.nu*( -pi.^2.*cos(2./7.*pi + pi.*x).*cos(k.*t) ) + EDP.c(x).*EDP.uex(t,x);
  EDP.u0=@(x) EDP.uex(EDP.t0,x);
  EDP.ua=@(t) EDP.uex(t,EDP.a);
  EDP.ub=@(t) EDP.uex(t,EDP.b);
end
